DECLARE structure struct1: 3 OF NUMERIC
declare structure struct2: NUMERIC(10)
DECLARE shared shar OF struct2
DECLARE shared sa OF struct1
paract par1
DECLARE NUMERIC i
DECLARE NUMERIC m(10)
start par2
FOR i=1 TO 10
   LET m(i)=i^2
NEXT i
put TO shar from m
SIGNAL ok1
WAIT event ok2
DECLARE NUMERIC a,b,c
get from sa TO a,b,c
PRINT a,b,c
END PARACT
paract par2
DECLARE NUMERIC x,y,z
LET x=11
LET y=12
LET z=13
PUT TO sa FROM x,y,z
signal ok2
WAIT EVENT ok1
DECLARE NUMERIC m(10)
GET from shar TO m
MAT PRINT m
END paract

